<template>
    <div class="container" v-html="html"></div>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import CONTENT_API from '@/api/content';

const html = ref("")

const getContentData = async () => {
    const res = await CONTENT_API.getAgreement({
        protocols_key: 'joininPrivacyAgreement'
    });
    if (res?.status === 200) {
        html.value = res.data.document;
    }
};

getContentData()
</script>

<style lang="scss" scoped>

</style>